list_for_each_safe
Prev | Doubly Linked Lists | Next

## Name

list_for_each_safe — iterate over a list safe against removal of list entry

## Synopsis

`list_for_each_safe (` |  | pos,
|  | n,
|  | head`)`;

## Arguments

`pos`

  the &struct list_head to use as a loop cursor.

`n`

  another &struct list_head to use as temporary storage

`head`

  the head for your list.

Prev | Up | Next
list_for_each_prev | Home | list_for_each_prev_safe